<?php 
class cls_ctl_score{
	/*每日登录奖励
	 返回值：0=成功奖励,1=用户不存在,2=后台未设置奖励,3=保存积分出错
	*/
	function on_login($msg_uid){
		global $obj_tab_sys_config;
		if(empty($msg_uid)) return 1;
		$lng_score=(int)$obj_tab_sys_config->get_val("pay","score_login");
		if($lng_score<1) return 2;
		$obj_tab_account=new cls_tab_sys_account;
		$arr_msg=$obj_tab_account->on_save_score($msg_uid,$lng_score,3);
		if($arr_msg["err"]!="") return 3;
		return 0;
	}
	/*连续登录奖励
	  返回值：0=成功奖励,1=参数有误,2=后台未设置连续登录奖,3=未达到奖励次数
	*/
	function on_login_continue($msg_uid,$msg_num){
		if(empty($msg_uid) || empty($msg_num)) return 1;
		global $obj_tab_sys_config;
		$arr_continue=$obj_tab_sys_config->get_val("pay","score_login_continue");
		if(!is_array($arr_continue)) return 2;
		$lng_score=0;
		foreach($arr_continue as $item=>$key){
			$lng_item=intval($item);
			if($lng_item>$msg_num) break;
			$lng_score=$lng_item;
		}
		if($lng_score<1) return 3;
		$obj_tab_account=new cls_tab_sys_account;
		$arr_msg=$obj_tab_account->on_save_score($msg_uid,$lng_score,4);
		if($arr_msg["err"]!="") return 3;
		return 0;
	}
}
?>